* {
  font-family: "Courier New", Courier, monospace;
}

body {
  margin: 0;
  overflow: hidden;
  position: absolute;
}

canvas {
  position: absolute;
}

.inventoryCanvas {
  position: relative;
  padding: 0;
  margin: auto;
  display: block;
  /* background-color: #8d8d8d; */
}

.itemLabel {
  background-color: rgba(0, 0, 0, 0.1);
  padding: 0.25em;
}

.titleText {
  font-size: 100px;
  font-family: inherit;
  color: rgb(255, 200, 0);
  text-shadow: -2px 0 rgb(203, 128, 14), 0 2px rgb(203, 128, 14), 2px 0 rgb(203, 128, 14), 0 -2px rgb(203, 128, 14);
  font-weight: bold;
}

.gameOverText {
  font-size: 100px;
  font-family: inherit;
  color: rgb(255, 0, 0);
  text-shadow: -2px 0 rgb(105, 14, 14), 0 2px rgb(105, 14, 14), 2px 0 rgb(105, 14, 14), 0 -2px rgb(105, 14, 14);
  font-weight: bold;
}

.guiContainer {
  position: relative;
}

.button {
  font-size: inherit;
  font-family: inherit;
  background: #500000;
  color: #ffffff;
  text-shadow: -2px 0 black, 0 2px black, 2px 0 black, 0 -2px black;
  border: 2px solid black;
  /* border-radius: 5px; */
  font-weight: bold;
  box-shadow: inset 0 0.7em 0 rgba(255, 255, 255, 0.2);
  padding: 5px 20px;
  transition: all 0.1s;
  cursor: pointer;
}

.button:hover {
  padding: 5px 60px;
}

.button:active {
  box-shadow: inset 0 0.1em 0 rgba(255, 255, 255, 0.2),
    inset 0 0 0.5em rgba(0, 0, 255, 0.2);
}

.checkboxContainer {
  display: block;
  position: relative;
  margin-bottom: 12px;
  cursor: pointer;
  font-size: inherit;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
  color: cyan;
}

.checkboxContainer input {
  position: absolute;
  opacity: 0;
  cursor: pointer;
  height: 0;
  width: 0;
}

.checkmark {
  position: absolute;
  top: 0.05em;
  line-height: 0.7em;
  width: 1.5em;
  background-color: transparent;
  border: 0.1em solid cyan;
  border-radius: 10%;
  box-shadow: inset 0 0 0 cyan;
  transition: all 0.2s;
  vertical-align: middle;
}

.checkmark:before {
  position: relative;
  left: 0.1em;
  content: "OFF";
  font-size: 0.6em;
  color: cyan;
}

.checkboxContainer:hover input ~ .checkmark {
  background-color: rgba(255, 255, 255, 0.2);
}

.checkboxContainer:hover input:checked ~ .checkmark {
  box-shadow: inset 1.6em 0 0 rgba(0, 255, 255, 0.8);
}

.checkboxContainer input:checked ~ .checkmark {
  box-shadow: inset 1.6em 0 0 cyan;
}

.checkboxContainer input:checked ~ .checkmark:before {
  position: relative;
  content: "ON";
  color: black;
  left: 1.2em;
  font-size: 0.6em;
}

.slider {
  -webkit-appearance: none;
  font-size: inherit;
  height: 0.5em;
  width: 10em;
  border-radius: 10%;
  background: rgba(0, 255, 255, 0.2);
  outline: none;
  -webkit-transition: all 0.2s;
  transition: all 0.2s;
}

.slider:hover {
  background: rgba(0, 255, 255, 0.4);
}

.slider::-webkit-slider-thumb {
  -webkit-appearance: none;
  appearance: none;
  width: 1em;
  height: 1em;
  border-radius: 50%;
  background: cyan;
  cursor: pointer;
}

.slider::-moz-range-thumb {
  width: 1em;
  height: 1em;
  border-radius: 50%;
  background: cyan;
  cursor: pointer;
}

.sliderLabel {
  font-size: inherit;
  color: cyan;
}
